<template lang="pug">
    md-list
        div(md-with-hover v-for="(user, i) in userList" :key="i")
            md-list-item(@click="selectUser(user)")
                .md-lit-item-text 
                    span.md-title {{user.name.first}} {{user.name.last}}
                    p.md-caption Género: {{$t(`gender.${user.gender}`)}} 
                    p.md-caption Mail: {{user.email}}
                    p.md-caption País: {{$t('countries.'+user.nat)}}
                    p.md-caption Nacimiento: {{user.dob.date | date}}
                    p.md-caption Registro: {{user.registered.date | date}}
                md-divider
</template>
<script>
export default {
    name: 'UserList',
    props: {
        userList: { type: Array, default: [], required: true }
    },
    data () {
        return {}
    },
    methods: {
        selectUser (user) {
        this.$store.commit('setSelectedUser', user)
        this.$router.push('vistaUsuario')
        }
    }
}
</script>